## com.arsdigita.bookmarks
Class BookmarkApplication

    java.lang.Object
      com.arsdigita.domain.DomainObject
          com.arsdigita.domain.ObservableDomainObject
              com.arsdigita.kernel.ACSObject
                  com.arsdigita.kernel.Resource
                      com.arsdigita.web.Application
                          com.arsdigita.bookmarks.BookmarkApplication

public class BookmarkApplication
extends com.arsdigita.web.Application

BookmarkApplication class.

Field Summary
`static String` `BASE_DATA_OBJECT_TYPE`
`static String` `versionId`

Fields inherited from class com.arsdigita.web.Application
`PRIMARY_URL`

Fields inherited from class com.arsdigita.kernel.Resource
`CHILD_RESOURCE, DESCRIPTION, PARENT_RESOURCE, RESOURCE_TYPE, TIMESTAMP, TITLE`

Fields inherited from class com.arsdigita.kernel.ACSObject
`CONTAINER, DEFAULT_DOMAIN_CLASS, DISPLAY_NAME, ID, OBJECT_TYPE`

Constructor Summary
`BookmarkApplication(BigDecimal key)`
`BookmarkApplication(com.arsdigita.persistence.DataObject dataObject)`
`BookmarkApplication(com.arsdigita.persistence.OID oid)`

Method Summary
`static BookmarkApplication` `create(String urlName, String title, com.arsdigita.web.Application parent)` Use this instead of the constructor to create new Bookmark Application objects
`Bookmark` `createBookmark(String name, String URLString)`
`protected String` `getBaseDataObjectType()`
`BookmarkCollection` `getBookmarks()`
`void` `normalizeBookmarkSortKeys()`
`void` `removeBookmark(Bookmark bmrk)`
`void` `swapBookmarkWithNext(Bookmark b)`
`void` `swapBookmarkWithPrevious(Bookmark b)`

Methods inherited from class com.arsdigita.web.Application

`afterDelete, beforeDelete, beforeSave, createApplication, createApplication, createRootApplication, getAncestorApplications, getApplicationType, getCanonicalURL, getChildApplications, getChildApplicationsForType, getContainingApplication, getContextPath, getCurrentApplication, getPackageType, getParentApplication, getPath, getPrimaryURL, getRelevantPrivileges, getServletPath, getSiteNode, getStylesheetPath, isInstalled, retrieveAllApplications, retrieveApplication, retrieveApplication, retrieveApplication, retrieveApplicationForPath, retrieveApplicationForSiteNode, setApplicationType, setParentApplication, setPath`

Methods inherited from class com.arsdigita.kernel.Resource
`afterSave, createResource, createResource, getChildResources, getContainer, getContainingResource, getDescription, getDisplayName, getParentResource, getResourceType, getTimestamp, getTitle, isContainerModified, retrieveAllResources, retrieveResource, retrieveResource, retrieveResource, setDescription, setParentResource, setResourceType, setTitle`

Methods inherited from class com.arsdigita.kernel.ACSObject
`assertPrivilege, checkPrivilege, doCreateCheck, doWriteCheck, getDefaultDomainClass, getID, getSpecificObjectType, getSpecificOID, gimmeContainer, initialize, setID, setID`

Methods inherited from class com.arsdigita.domain.ObservableDomainObject
`addObserver, getObservers`

Methods inherited from class com.arsdigita.domain.DomainObject
`add, add, addToAssociation, clear, delete, disconnect, equals, get, getObjectType, getOID, getSession, hashCode, isDeleted, isDisconnected, isModified, isNew, isPropertyModified, isValid, remove, remove, remove, removeFromAssociation, save, set, setAssociation, setAssociation, specializeDataObject, specializeDataObject, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### versionId

    public static final String versionId

See Also:
  Constant Field Values

### BASE_DATA_OBJECT_TYPE

    public static final String BASE_DATA_OBJECT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### BookmarkApplication

    public BookmarkApplication(com.arsdigita.persistence.OID oid)
                        throws com.arsdigita.domain.DataObjectNotFoundException

### BookmarkApplication

    public BookmarkApplication(BigDecimal key)
                        throws com.arsdigita.domain.DataObjectNotFoundException

### BookmarkApplication

    public BookmarkApplication(com.arsdigita.persistence.DataObject dataObject)

Method Detail

### getBaseDataObjectType

    protected String getBaseDataObjectType()

### create

    public static BookmarkApplication create(String urlName,
                                             String title,
                                             com.arsdigita.web.Application parent)

  Use this instead of the constructor to create new Bookmark Application objects

### createBookmark

    public Bookmark createBookmark(String name,
                                   String URLString)

### removeBookmark

    public void removeBookmark(Bookmark bmrk)

### getBookmarks

    public BookmarkCollection getBookmarks()

### swapBookmarkWithPrevious

    public void swapBookmarkWithPrevious(Bookmark b)
                                  throws com.arsdigita.persistence.PersistenceException

  Throws:
    `com.arsdigita.persistence.PersistenceException`

### swapBookmarkWithNext

    public void swapBookmarkWithNext(Bookmark b)
                              throws com.arsdigita.persistence.PersistenceException

  Throws:
    `com.arsdigita.persistence.PersistenceException`

### normalizeBookmarkSortKeys

    public void normalizeBookmarkSortKeys()

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1057 UTC